/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGPDFStream;

import dstep.corefoundation.CFData;
import dstep.applicationservices.coregraphics.CGPDFDictionary;
import dstep.applicationservices.coregraphics.CGPDFStream;

struct CGPDFStream;

alias CGPDFStream* CGPDFStreamRef;
alias int CGPDFDataFormat;

enum /*CGPDFDataFormat*/ 
{
	CGPDFDataFormatRaw,
	CGPDFDataFormatJPEGEncoded,
	CGPDFDataFormatJPEG2000
}

extern (C)
{
	CGPDFDictionaryRef CGPDFStreamGetDictionary (CGPDFStreamRef stream);
	CFDataRef CGPDFStreamCopyData (CGPDFStreamRef stream, CGPDFDataFormat* format);
}