/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.coreservices.launchservices.UTCoreTypes;

//import dstep.AvailabilityMacros;
import dstep.corefoundation.CoreFoundation;

extern (C)
{
	extern
	{
		const CFStringRef kUTTypeItem;
		const CFStringRef kUTTypeContent;
		const CFStringRef kUTTypeCompositeContent;
		const CFStringRef kUTTypeApplication;
		const CFStringRef kUTTypeMessage;
		const CFStringRef kUTTypeContact;
		const CFStringRef kUTTypeArchive;
		const CFStringRef kUTTypeDiskImage;
		const CFStringRef kUTTypeData;
		const CFStringRef kUTTypeDirectory;
		const CFStringRef kUTTypeResolvable;
		const CFStringRef kUTTypeSymLink;
		const CFStringRef kUTTypeMountPoint;
		const CFStringRef kUTTypeAliasFile;
		const CFStringRef kUTTypeAliasRecord;
		const CFStringRef kUTTypeURL;
		const CFStringRef kUTTypeFileURL;
		const CFStringRef kUTTypeText;
		const CFStringRef kUTTypePlainText;
		const CFStringRef kUTTypeUTF8PlainText;
		const CFStringRef kUTTypeUTF16ExternalPlainText;
		const CFStringRef kUTTypeUTF16PlainText;
		const CFStringRef kUTTypeRTF;
		const CFStringRef kUTTypeHTML;
		const CFStringRef kUTTypeXML;
		const CFStringRef kUTTypeSourceCode;
		const CFStringRef kUTTypeCSource;
		const CFStringRef kUTTypeObjectiveCSource;
		const CFStringRef kUTTypeCPlusPlusSource;
		const CFStringRef kUTTypeObjectiveCPlusPlusSource;
		const CFStringRef kUTTypeCHeader;
		const CFStringRef kUTTypeCPlusPlusHeader;
		const CFStringRef kUTTypeJavaSource;
		const CFStringRef kUTTypePDF;
		const CFStringRef kUTTypeRTFD;
		const CFStringRef kUTTypeFlatRTFD;
		const CFStringRef kUTTypeTXNTextAndMultimediaData;
		const CFStringRef kUTTypeWebArchive;
		const CFStringRef kUTTypeImage;
		const CFStringRef kUTTypeJPEG;
		const CFStringRef kUTTypeJPEG2000;
		const CFStringRef kUTTypeTIFF;
		const CFStringRef kUTTypePICT;
		const CFStringRef kUTTypeGIF;
		const CFStringRef kUTTypePNG;
		const CFStringRef kUTTypeQuickTimeImage;
		const CFStringRef kUTTypeAppleICNS;
		const CFStringRef kUTTypeBMP;
		const CFStringRef kUTTypeICO;
		const CFStringRef kUTTypeAudiovisualContent;
		const CFStringRef kUTTypeMovie;
		const CFStringRef kUTTypeVideo;
		const CFStringRef kUTTypeAudio;
		const CFStringRef kUTTypeQuickTimeMovie;
		const CFStringRef kUTTypeMPEG;
		const CFStringRef kUTTypeMPEG4;
		const CFStringRef kUTTypeMP3;
		const CFStringRef kUTTypeMPEG4Audio;
		const CFStringRef kUTTypeAppleProtectedMPEG4Audio;
		const CFStringRef kUTTypeFolder;
		const CFStringRef kUTTypeVolume;
		const CFStringRef kUTTypePackage;
		const CFStringRef kUTTypeBundle;
		const CFStringRef kUTTypeFramework;
		const CFStringRef kUTTypeApplicationBundle;
		const CFStringRef kUTTypeApplicationFile;
		const CFStringRef kUTTypeVCard;
		const CFStringRef kUTTypeInkText;
	}
}

